import React from 'react';
import { Hidden } from "@material-ui/core";
import { IOCDetailFetcher } from "./IOCDetailFetcher";
import { IOCList } from "./IOCList";
import { IOCTable } from "./IOCTable";

export function IOCAsyncList({ iocs, setIocs, rowType, totalCount, lazyParams, setLazyParams, columnSort, setColumnSort, rowsPerPage, loading, asyncDetails = true}) {
  return(
    <>
      <Hidden smUp>
        <IOCList iocs={iocs}/>
      </Hidden>
      <Hidden xsDown>
        <IOCTable iocs={iocs} setIocs={setIocs} loading={loading} rowType={rowType}
          lazyParams={lazyParams} setLazyParams={setLazyParams} columnSort={columnSort} setColumnSort={setColumnSort} totalCount={totalCount} 
          rowsPerPage={rowsPerPage} />
      </Hidden>
      {asyncDetails && iocs.map((ioc, index) => <IOCDetailFetcher key={`ioc-${ioc.id}`} ioc={ioc} index={index} setIocs={setIocs} />)}
    </>
  );
}